﻿@model IEnumerable<TrackViewModel>

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link rel="stylesheet" href="~/css/paging.css" />
<script>

</script>
<h1>Details</h1>
<table class="table">
    <thead>
        <tr>
            <th><b>Track Name</b></th>
            <th><b>Artist Name</b></th>
            <th><b>Duration</b></th>
        </tr>
    </thead>
    <tbody id="DataSearhing">
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ArtistName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DurationMinutes):@Html.DisplayFor(modelItem => item.DurationSeconds) mins
                </td>
            </tr>
        }

    </tbody>
</table>
<center>
    <div class="pagination">
        <div id="paging">

            @for (int i = 1; i <= ViewBag.tracksCount; i++)
            {
                if (i % 5 == 0 || i == ViewBag.tracksCount)
                {
                    var pageNum = i / 5;
                    if (i % 5 > 0)
                    {
                        pageNum++;
                    }
                    <button id="pbtn" value="@pageNum" onclick="pagebtnclick(event)">@pageNum</button>
                }
            }

        </div>
    </div>
</center>
<script src="~/js/playlistDetails.js"></script>


